Mailinglist Archive: opensuse-factory (914 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170607 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170607

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
a2ps
augeas (1.6.0 -> 1.8.0)
autoyast2 (3.2.14 -> 3.2.15)
avahi
bash-completion (2.4 -> 2.5)
cups
dmidecode (3.0 -> 3.1)
gdm (3.24.1 -> 3.24.2)
gdm-branding-openSUSE (42.1 -> 42.3)
geoclue2 (2.4.6 -> 2.4.7)
git (2.13.0 -> 2.13.1)
gnome-online-accounts (3.24.0 -> 3.24.1)
gzip
hplip (3.16.11 -> 3.17.4)
hyper-v (6 -> 7)
ibus-sunpinyin
irssi (1.0.2 -> 1.0.3)
issue-generator
kalzium (16.08.3 -> 17.04.1)
kiten (16.12.3 -> 17.04.1)
ksystemlog (17.03.80 -> 17.04.1)
kturtle (16.12.3 -> 17.04.1)
mysql-connector-cpp (1.1.6 -> 1.1.8)
ncurses
opal
open-iscsi
patterns-base
patterns-media
perl-JSON (2.93 -> 2.94)
perl-Module-Build (0.422200 -> 0.422400)
perl-Net-HTTP (6.15 -> 6.16)
samba
sane-backends (1.0.25 -> 1.0.27)
silc-toolkit
slang (2.3.0 -> 2.3.1a)
vdr
vsftpd
webkit2gtk3
yast2 (3.2.28 -> 3.2.37)
yast2-bootloader (3.2.19 -> 3.2.20)
yast2-installation (3.2.38 -> 3.2.44)
yast2-multipath (3.1.7 -> 3.2.1)
yast2-network (3.2.24 -> 3.2.28)
yast2-nis-client (3.2.0 -> 3.2.1)
yast2-ntp-client (3.2.6 -> 3.2.8)
yast2-ruby-bindings (3.2.12 -> 3.2.13)
yast2-storage (3.2.11 -> 3.2.14)

=== Details ===

==== a2ps ====

- Split off patch a2ps-4.14-manuals.diff as otherwise we might
not patch the final manual page
- Avoid broken macro in manual page templates

==== augeas ====
Version update (1.6.0 -> 1.8.0)
Subpackages: augeas-lenses libaugeas0

- Version update to 1.8.0:
* See the News file for all the details
- Verified it contains fixes for bsc#933210 bsc#975729 bsc#925225
bsc#1023204 CVE-2014-8119

==== autoyast2 ====
Version update (3.2.14 -> 3.2.15)
Subpackages: autoyast2-installation

- clone system: Checking if snapshots have been enabled.
(bnc#1039268)
- 3.2.15

==== avahi ====
Subpackages: avahi-compat-mDNSResponder-devel libavahi-client3
libavahi-client3-32bit libavahi-common3 libavahi-common3-32bit libavahi-core7
libavahi-devel libdns_sd

- Do not suppress errors from avahi-autoipd user creation, but do
suppress getent output.
- Replace $RPM_* shell vars by macros.
- Modify user generation (boo#1010384):
+ Use getent to check for existing users/groups, only creating
them if not found.
+ Do not hide output of groupadd/useradd.
+ Do not mask failures: if a user can't be added, we have a
problem.

==== bash-completion ====
Version update (2.4 -> 2.5)

- Update to version 2.5
* Support for python gui source files (#91)
* mr: New completion
* ssh-keygen: support ed25519 keys (#79)
* Add sidedoor to _ssh() completion (#106)
* .ipa is just a zip file and we should let unzip handle it (#71)
* ant: parse targets in imported buildfiles (#84)
* Add more tests for ccache
* ccache: fix completing compiler's flags
* test suite: Add java/javac non-completion fixture
* javac: Complete -cp like -classpath
* travis: Skip bluez and nis for now due to post-install script
issues
* test/config/*: Delete trailing whitespace
* (test suite): Avoid loading user's ~/.bash_completion, fixes #87
* ip: Recognize a as alias for address and l for link
* ip: Recognize address in addition to addr
* mr: Disable "clean" test case, command N/A before mr 1.20141023
* ssh-keygen: Parse switches with _parse_usage, not _parse_help
* mplayer: Associate with *.mjpg, *.mjpeg (Debian: #837779)
* dd: Sync completions with coreutils 8.24
* travis: Add mr
* perl: Remove full path to cat in PERLDOC_PAGER call
* deja-dup: New completion
* CONTRIBUTING: Reorder sections
* *: Move indentation settings to .editorconfig
* make: Declare _make_target_extract_script like other functions
* Travis: zopfli is AWOL?
* *: Whitespace fixes
* Minor edits to README.md (mostly formatting) (#110)
* Fix bug in 'make' completion when using BSD sed (#108)
* Add support for Include in ssh config (#70) (#80)
- adapt LVM-completion-bsc946875.patch

==== cups ====
Subpackages: cups-client cups-devel cups-libs cups-libs-32bit

- Replace krb5-devel BuildRequires with pkgconfig(krb5) on
suse_version >= 1315: give OBS a better chance to break up build
cycles.

==== dmidecode ====
Version update (3.0 -> 3.1)

- Update to upstream version 3.1:
* Support for SMBIOS 3.1.0 and 3.1.1. This includes new chassis
types, new processor family names, new processor family upgrade
names, and new slot types, as well as support of larger BIOS
ROM sizes and cache sizes, and a new structure type (43, TPM
Device.)
* A new command line option to query OEM strings.
* All error messages are now printed on stderr (#47274, #48158.)
* Fixes a crash with SIGBUS (#46066.)
* Various minor fixes, improvements and cleanups.
* Obsoletes dmidecode-01-add-no-sysfs-option-description-to-h-output.patch,
dmidecode-02-fix-no-smbios-nor-dmi-entry-point-found-on-smbios3.patch,
dmidecode-03-let-read_file-return-the-actual-data-size.patch,
dmidecode-04-use-read_file-to-read-the-dmi-table-from-sysfs.patch,
dmidecode-05-use-dword-for-structure-table-maximum-size-in-smbios3.patch,
dmidecode-06-hide-irrelevant-fixup-message.patch, and
dmidecode-07-only-decode-one-dmi-table.patch.

==== gdm ====
Version update (3.24.1 -> 3.24.2)
Subpackages: gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Update to version 3.24.2:
+ Update session type when we know username (and user's session).
+ Fix bug leading to reauthentication happening outside the
session.
+ Make sure greeter is killed and reaped when gdm is restarted.
- Drop gdm-desktop-session-env-pam.patch: not required for a long
time, as gnome-keyring pam module is using only_if for a long
time already.

==== gdm-branding-openSUSE ====
Version update (42.1 -> 42.3)

- No longer Require exact version of gdm, nor provide exact version
of branding, it is not stricly needed, and only leads to issues
with stable updates.
- Add gdm-branding-openSUSE-rpmlintrc as source: Filter out
rpmlintwarning about exact version Provides.
- Drop obsolete gnome2-SuSE Obsoletes: No current version of
openSUSE nor SLE have this package anymore.
- Drop obsolete clean section.
- Bump version to 42.3, to prepare for next version of openSUSE.

==== geoclue2 ====
Version update (2.4.6 -> 2.4.7)
Subpackages: system-user-srvGeoClue typelib-1_0-Geoclue-2_0

- Update to version 2.4.7:
+ Fix a potential crash.
+ More verbose warning on invalid accuracy from NMEA source.

==== git ====
Version update (2.13.0 -> 2.13.1)
Subpackages: git-core git-cvs git-daemon git-email git-gui git-svn git-web gitk

- git 2.13.1:
* Setting "log.decorate=false" in the configuration file did not
take effect in v2.13, which has been corrected.
* corrections to documentation and command help output
* garbage collection fixes
* memory leaks fixed
* receive-pack now makes sure that the push certificate records
the same set of push options used for pushing
* shell completion corrections for git stash
* fix "git clone --config var=val" with empty strings
* internal efficiency improvements
* Update sha1 collision detection code for big-endian platforms
and platforms not supporting unaligned fetches
- Fix packaging of documentation

==== gnome-online-accounts ====
Version update (3.24.0 -> 3.24.1)
Subpackages: libgoa-1_0-0 libgoa-backend-1_0-1 typelib-1_0-Goa-1_0

- Update to version 3.24.1:
+ Updated translations.

==== gzip ====

- Make build reproducible in spite of gcc profile based optimizations
(boo#1040589)
- changing the way how gcc profiling is generating to have a reproducible
build

==== hplip ====
Version update (3.16.11 -> 3.17.4)
Subpackages: hplip-hpijs hplip-sane

- call gzip -n to make build more reproducible
- Version upgrade to 3.17.4:
* Added Support for the Following New Printers:
- HP LaserJet Managed Flow MFP E77822z Printer
- HP LaserJet Managed MFP E77822dn Printer
- HP LaserJet Managed Flow MFP E77825z Printer
- HP LaserJet Managed MFP E77825dn Printer
- HP LaserJet Managed Flow MFP E77830z Printer
- HP LaserJet Managed MFP E77830dn Printer
- HP LaserJet Managed Flow MFP E87640z Printer
- HP LaserJet Managed MFP E87640dn Printer
- HP LaserJet Managed Flow MFP E87650z Printer
- HP LaserJet Managed MFP E87650dn Printer
- HP LaserJet Managed Flow MFP E87660z Printer
- HP LaserJet Managed MFP E87660dn Printer
- HP LaserJet Managed Flow MFP E82540z Printer
- HP LaserJet Managed MFP E82540dn Printer
- HP LaserJet Managed Flow MFP E82550z Printer
- HP LaserJet Managed MFP E82550dn Printer
- HP LaserJet Managed Flow MFP E82560z Printer
- HP LaserJet Managed MFP E82560dn Printer
- HP LaserJet Managed Flow MFP E72525z Printer
- HP LaserJet Managed MFP E72525dn Printer
- HP LaserJet Managed Flow MFP E72530z Printer
- HP LaserJet Managed MFP E72530dn Printer
- HP LaserJet Managed Flow MFP E72535z Printer
- HP LaserJet Managed MFP E72535dn Printer
- HP LaserJet Pro M203d Printer
- HP LaserJet Pro MFP M130a Printer
- HP LaserJet Pro MFP M130nw Printer
- HP LaserJet Pro MFP M130fn Printer
- HP LaserJet Pro MFP M130fw Printer
- HP LaserJet Pro MFP M227d Printer
- HP LaserJet Pro MFP M227fdn Printer
- HP LaserJet Ultra MFP M230 sdn Printer

==== hyper-v ====
Version update (6 -> 7)

- add Conflicts with kernel < 4.2 (fate#320485)
- vss: fix the write()'s argument: error -> vss_msg
- remove repeated HV_FCOPY string
- report ENOSPC errors in hv_fcopy_daemon
- fcopy: full handshake support
- vss: full handshake support
- vss: use misc char device to communicate with kernel
- kvp: use misc char device to communicate with kernel

==== ibus-sunpinyin ====

- Update ibus-sunpinyin.spec add install requires to sunpinyin-data
which is necessary for sunpinyin running (boo#1042182).

==== irssi ====
Version update (1.0.2 -> 1.0.3)

- update to 1.0.3
- Fix out of bounds read when scanning expandos (GL!11).
- Fix invalid memory access with quoted filenames in DCC
(GL#8, GL!12). bsc#1043052 CVE-2017-9469
- Fix null-pointer dereference on DCC without address (GL#9, GL!13).
bsc#1043051 CVE-2017-9468
- Improve integer overflow handling. Originally reported by
oss-fuzz#525 (#706).
- Improve nicklist performance from O(N^2) to O(N) (#705).
- Fix initial screen redraw delay. By Stephen Oberholtzer
(#680, bdo#856201).
- Fix incorrect reset of true colours when resetting background. (#711).
- Fix missing -notls option in /SERVER. By Jari Matilainen (#117, #702).
- Fix minor history glitch on overcounter (#462, #685).
- Improved OpenSSL detection at compile time. By Rodrigo Rebello (#677).
- Improved NetBSD Terminfo detection. By Maya Rashish (#694, #698).
- Add missing syntax info for COMPLETION (#687, #688).
- Minor typo correction in help. By Michael Hansen (#707).

==== issue-generator ====

- Remove ghost entry for /etc/issue [bsc#1038526]

==== kalzium ====
Version update (16.08.3 -> 17.04.1)

- Update to 17.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
* None
- Update to 17.04.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
* None
- Update to 17.03.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
* None
- Update to 17.03.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.03.80.php
- Changes since 16.12.3:
* Exclude qml directory from built until it is ported
* Fix build with extra-cmake-modules > 5.30
- Update to 16.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-16.12.3.php
- Changes since 16.12.2:
* Fix build with extra-cmake-modules > 5.30
- Remove patches, now upstream:
* fix-build-with-ecm-5.31.patch
- Add fix-build-with-ecm-5.31.patch
- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php
- - Update to KDE Applications 16.12.1
* KDE Applications 16.12.1
* https://www.kde.org/announcements/announce-applications-16.12.1.php
- Update to KDE Applications 16.12.0
* KDE Applications 16.12.0
* https://www.kde.org/announcements/announce-applications-16.12.0.php
- Update to KDE Applications 16.11.90
* KDE Applications 16.12.0 RC
* https://www.kde.org/announcements/announce-applications-16.12-rc.php
- Update to KDE Applications 16.11.80
* KDE Applications 16.12.0 Beta
* https://www.kde.org/announcements/announce-applications-16.12-beta.php

==== kiten ====
Version update (16.12.3 -> 17.04.1)
Subpackages: fonts-KanjiStrokeOrders

- Update to 17.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
* None
- Update to 17.04.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
* None
- Update to 17.03.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
* None
- Update to 17.03.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.03.80.php
- Changes since 16.12.3:
* None

==== ksystemlog ====
Version update (17.03.80 -> 17.04.1)

- Update to 17.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
* Call kdoctools_install in addition to ki18n_install
- Update to 17.04.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
* None
- Update to 17.03.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
* None
- Update to 17.03.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.03.80.php
- Changes since 16.12.3:
* Fix wording (2): "by KDE", not "for KDE"
* Fix wording: Plasma is the desktop environment

==== kturtle ====
Version update (16.12.3 -> 17.04.1)

- Update to 17.04.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
* None
- Update to 17.04.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
* None
- Update to 17.03.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
* None
- Update to 17.03.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-17.03.80.php
- Changes since 16.12.3:
* None

==== mysql-connector-cpp ====
Version update (1.1.6 -> 1.1.8)

- Update to version 1.1.8:
* See the news files on
https://dev.mysql.com/doc/relnotes/connector-cpp/en/

==== ncurses ====
Subpackages: libncurses6 libncurses6-32bit ncurses-devel ncurses-utils tack
terminfo terminfo-base

- Add patch ncurses-6.0-crashw.patch as a temporary fix which will
become part of next patch level: solve binary incompatiblity of
libtinfow and libtinfo
- Add ncurses patch 20170527
+ improved test/picsmap.c:
+ lookup named colors for xpm files in rgb.txt
+ accept blanks in color-keys for xpm files.
+ if neither xbm/xpm work, try "convert", which may be available.

==== opal ====

- Add reproducible.patch to sort input files to make build reproducible
(boo#1041090)

==== open-iscsi ====
Subpackages: iscsiuio

- Added two iscsiuio upstream commits, for ipv6
support, and general bug fixes (bsc#1040559)

==== patterns-base ====
Subpackages: patterns-base-apparmor patterns-base-apparmor_opt
patterns-base-base patterns-base-console patterns-base-enhanced_base
patterns-base-enhanced_base_opt patterns-base-minimal_base
patterns-base-minimal_base-conflicts patterns-base-sw_management
patterns-base-x11 patterns-base-x11_opt

- Recommend zypper-lifecycle-plugin in sw_management for stable
distributions
- Proper fixes for the last change re generic_server,
* console should require enhanced_base so its functionally the
same as x11
* base should require minimal_base
* remove the following from base again as they are in minimal base
* openSUSE-build-key
* openSUSE-release
* rpm
* other minor tidyup's

==== patterns-media ====

- Do not require GNOME and KDE patterns on s390x: This platform
does not appeal to users of graphical user interfaces.

==== perl-JSON ====
Version update (2.93 -> 2.94)

- updated to 2.94
see /usr/share/doc/packages/perl-JSON/Changes
2.94 2017-05-29
- fixed VERSION issue caused by VERSION methods added to abstract
backend packages (RT-121892; ppisar++)
- fixed a test for perl 5.6

==== perl-Module-Build ====
Version update (0.422200 -> 0.422400)

- updated to 0.4224
see /usr/share/doc/packages/perl-Module-Build/Changes
0.4224 - Tue May 30 19:50:07 CEST 2017
- Released 0.42_23 without changes
0.42_23 - Sun May 14 13:17:45 CEST 2017
- Add code to special case dot-in-inc in Build

==== perl-Net-HTTP ====
Version update (6.15 -> 6.16)

- updated to 6.16
see /usr/share/doc/packages/perl-Net-HTTP/Changes
6.16 2017-05-29 10:46:24-04:00 America/Toronto
- Bump IO::Socket::SSL version from 1.38 to 2.012

==== samba ====
Subpackages: libdcerpc-binding0 libdcerpc-binding0-32bit libdcerpc0
libdcerpc0-32bit libndr-krb5pac0 libndr-krb5pac0-32bit libndr-nbt0
libndr-nbt0-32bit libndr-standard0 libndr-standard0-32bit libndr0 libndr0-32bit
libnetapi0 libnetapi0-32bit libsamba-credentials0 libsamba-credentials0-32bit
libsamba-errors0 libsamba-errors0-32bit libsamba-hostconfig0
libsamba-hostconfig0-32bit libsamba-passdb0 libsamba-passdb0-32bit
libsamba-util0 libsamba-util0-32bit libsamdb0 libsamdb0-32bit
libsmbclient-devel libsmbclient0 libsmbconf0 libsmbconf0-32bit libsmbldap0
libsmbldap0-32bit libtevent-util0 libtevent-util0-32bit libwbclient0
libwbclient0-32bit samba-client samba-client-32bit samba-doc samba-libs
samba-libs-32bit samba-winbind samba-winbind-32bit

- Revert explicit winbind %{version}-%{release} dependency.
+ The ABI has stabilized since (bsc#936909), so remove to fix cross-media
dependencies; (bsc#1037899).

==== sane-backends ====
Version update (1.0.25 -> 1.0.27)
Subpackages: sane-backends-32bit sane-backends-autoconfig sane-backends-devel

- Upgraded to sane-backends version 1.0.27:
There is no 1.0.26 release of sane-backends.
That number was skipped so that the SANE upstream
development version numbers would more clearly be
an extension of the prior release.
Changes since 1.0.25:
* Significant enhancements to canon_dr, epjitsu, epsonds,
fujitsu, genesys, hp3500, pixma and xerox-mfp backends.
* Minor updates, bugfixes or scanners added in several backends.
* 30+ new scanner models supported.
* Made libusb-1.0 the default for USB support.
* Switched code from C90 to C99 (Thanks to Volker Diels-Grabsch).
* Updated Linux USB3 workaround:
The Linux USB3 workaround which was added in version 1.0.25
is now disabled by default. If you have difficulty using
a scanner which previously worked, or intermittent scanner
availability, try setting the new environment variable
SANE_USB_WORKAROUND=1
before starting your frontend.
* Documentation and translation updates.
* Bugfixes (Avahi, threading, USB, ICC/PNG/JPEG, etc).
* Reduced compiler warnings, improved code:
A special thanks goes to Olaf Meeuwissen for picking up
the janitorial duties in sane-backends. He has found and
fixed a large number of long-standing bugs, curated the
SANE upstream bug tracker, improved the build scripts
and docs, and provided user support.
- CVE-2017-6318.patch is no longer needed because
the issue is fixed in the upstream sources.
- dell1600n_net-fix-strncat.patch is no longer needed because
the issue is fixed in the upstream sources.

==== silc-toolkit ====
Subpackages: libsilc-1_1-4 libsilcclient-1_1-4

- Add reproducible.patch to sort input files to make build reproducible
(boo#1041090)

==== slang ====
Version update (2.3.0 -> 2.3.1a)
Subpackages: libslang2 slang-slsh

- slang 2.3.1a:
* 24 bitcolor support for 64 bit systems
* various bug fixes and improvements
- disable failing tests on i586 and s390x

==== vdr ====

- add vdr-2.2.0-gcc7.diff to fix build (mostly "ambigouous abs()"
warnings / errors) with gcc 7

==== vsftpd ====

- Explicitly depend on OpenSSL version 1.0.x since vsftpd doesn't
compile against the API provided by newer versions.

==== webkit2gtk3 ====
Subpackages: libjavascriptcoregtk-4_0-18 libwebkit2gtk-4_0-37
typelib-1_0-JavaScriptCore-4_0 typelib-1_0-WebKit2-4_0
webkit2gtk-4_0-injected-bundles

- Add conditional gcc6-c++ BuildRequires and #!BuildIgnore:
libgcc_s1 and also and pass -DCMAKE_C_COMPILER=gcc-6 and
- DCMAKE_CXX_COMPILER=g++-6 to cmake for SLE/Leap, so we can fully
build Webkit2gtk3 without disabling features.
- Drop webkitgtk-disable-gcc-version-checks.patch, no longer needed
following above changes.
- Remove the compilation flag to disable FTL JIT, no longer needed
following above changes.

==== yast2 ====
Version update (3.2.28 -> 3.2.37)

- Add EventDispatcher#event_handler to allow custom events
management, for example to delegate to a widget. Part of
(fate#305633)
- 3.2.37
- Fix distribution of new CWM::WrapperWidget (bsc#1032725)
- 3.2.36
- CWM: Add object wrapper to allow running object CWM with old
hash style widgets (bsc#1032725)
- fix nested pagers to have unique ids
- 3.2.35
- Fix CWM::ReplacePoint to work with CWM::Custom widget and use it
in all pagers (boo#1039901)
- Fix calling handle in CWM::RadioButtons
- 3.2.34
- Warning messages shouldn't open UI in command-line mode
(bsc#1036440).
- 3.2.33
- Added CWM::Pager, CWM::Tree + CWM::TreeItem,
CWM::TreePager + CWM::PagerTreeItem (boo#1039901)
- 3.2.32
- Added CWM::Table (boo#1039901)
- 3.2.31
- Translation fix: Ruby gettext cannot extract translatable texts
from interpolated strings (bsc#1038077)
- 3.2.30
- Added cwm/rspec with shared_examples for CWM::AbstractWidget
and its children (boo#1039302)
- 3.2.29

==== yast2-bootloader ====
Version update (3.2.19 -> 3.2.20)

- Repropose bootloader configuration when storage proposal is
modified (bsc#1035746)
- 3.2.20

==== yast2-installation ====
Version update (3.2.38 -> 3.2.44)

- "custom" roles: Initialize pattern selection screen with settings
defined in the control files. (bnc#1031295)
- 3.2.44
- Do not lose the desktop selection when the online repositories is
pressed. (bsc#1033594)
- Do not allow to continue without desktop selection. (bsc#1040884)
- 3.2.43
- Fixed path to the "adddir" command (it is /sbin instead of /etc)
(bsc#1041882)
- 3.2.42
- Added requirement of 'cwm/widget' in hiding_place as consequence
of changes made in CWM. (boo#1039901).
- 3.2.41
- Fixed push button label ("Configure Online Repositories")
(bsc#1039988)
- 3.2.40
- Don't crash if the regurl provided by linuxrc is invalid using
the one provided by the control file as fallback (bsc#1035908).
- 3.2.39

==== yast2-multipath ====
Version update (3.1.7 -> 3.2.1)

- bnc#1026027
- removed calls to /sbin/insserv
- 3.2.1

==== yast2-network ====
Version update (3.2.24 -> 3.2.28)

- bnc#1039532
- do not write hostname into /etc/hosts duplicitly for one IP
- configure static IPs without own hostname to resolve to system
wide hostname during installation
- 3.2.28
- bsc#1036440 and bsc#994471
- Command "yast remote list" should not alter the system.
- 3.2.27
- bnc#1038521
- do not raise an internal error during installation when
multiple static device and hostname configurations were
provided
- 3.2.26
- bsc#1035908
- Moved inst_install_inf client to yast2-installation.
- 3.2.25

==== yast2-nis-client ====
Version update (3.2.0 -> 3.2.1)

- Added yp-tools to the requirements in order to call ypdomainname
(Additional fix for bnc#916031 and bsc#994530)
- 3.2.1

==== yast2-ntp-client ====
Version update (3.2.6 -> 3.2.8)

- AutoYaST: Fixed crash in CFA class while writing settings to
ntp.conf. (bnc#1040350)
- 3.2.8
- Add a CFA class to handle ntp.conf
- Fixed build.
- NtpClient module does not use this new class
- These are additional fixed for bsc#983486 and bsc#929694.
- 3.2.7

==== yast2-ruby-bindings ====
Version update (3.2.12 -> 3.2.13)

- Set proper title for YaST2 installation (bsc#1037891)
- 3.2.13

==== yast2-storage ====
Version update (3.2.11 -> 3.2.14)

- Don't complain about unavailable NTFS packages if they are not
in the product's repo (bsc#1039830)
- 3.2.14
- Read default subvolume name for Btrfs filesystems when using
the expert partitioner (bsc#1040154)
- 3.2.13
- During installation, mount efivarfs in /mnt/sys/firmware/efivars
if present in inst-sys (bsc#1037495)
- 3.2.12


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages